#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 37. LXQt Desktop

- Prev

  LXQt Desktop Pre-Install Instructions

- Next

  kconfig-6.23.0 for lxqt

- Up
- Home

# kwindowsystem-6.23.0 for lxqt

## Introduction to kwindowsystem

The kwindowsystem provides information about, and allows interaction with, the windowing system. It provides a high level API that is windowing system independent and has platform specific implementations.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Important

This package is extracted from the KF6 set of packages. If KDE Frameworks-6.23.0 is built, do NOT also build this package as presented here.

### Package Information

- Download (HTTP): https://download.kde.org/stable/frameworks/6.23/kwindowsystem-6.23.0.tar.xz

- Download MD5 sum: c25a4af6bac14133a038ac64c00e6e35

- Download size: 2.3 MB

- Estimated disk space required: 78 MB

- Estimated build time: 0.2 SBU (Using parallelism=4)

### kwindowsystem Dependencies

#### Required

Extra-CMake-Modules-6.23.0, plasma-wayland-protocols-1.20.0, Qt-6.11.0, and Xorg Libraries

## Installation of kwindowsystem

Install kwindowsystem by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -D BUILD_TESTING=OFF         \
          -W no-dev ..                 &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Library: libKF6WindowSystem.so
Installed Directories: /usr/include/KF6, /usr/lib/cmake/KF6WindowSystem, /usr/lib/plugins/kf6, /usr/lib/qml/org/kde, and /usr/share/qlogging-categories6

### Short Descriptions

`libKF6WindowSystem.so` | contains the KF6 Windowing API functions

- Prev

  LXQt Desktop Pre-Install Instructions

- Next

  kconfig-6.23.0 for lxqt

- Up
- Home